---
title: Typography
description: Core typographic elements
weight: 1
---

# Headers

These weight, case, and style of these is subject to change - the important note here is size and font-family.

{{< example >}}<h1>This is an H1 element.</h1>{{< /example >}}

This header class to be used (often with the `subhead` class h2) for section introductions.
{{< example >}}<h1 class="headline">This is a 'Headline' element.</h1>{{< /example >}}

{{< example >}}<h2>This is an H2 element.</h2>{{< /example >}}

This header class to be used for body text on intro sections.
{{< example >}}<h2 class="subhead">This is a 'Subhead' element.</h2>{{< /example >}}

{{< example >}}<h3>This is an H3 element.</h3>{{< /example >}}

{{< example >}}<h4>This is an H4 element.</h4>{{< /example >}}

# Paragraphs

## Standard Paragraphs

{{< example >}}<p>Lorem ipsum vestibulum rutrum quam vitae fringilla tincidunt. Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p>{{< /example >}}

## Long Reading Copy (paragraph)

{{< example >}}<p class="long-reading-copy">Lorem ipsum vestibulum rutrum quam vitae fringilla tincidunt. Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p>{{< /example >}}

## Short Reading Copy (paragraph)

{{< example >}}<p class="short-reading-copy">Lorem ipsum vestibulum rutrum quam vitae fringilla tincidunt. Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p>{{< /example >}}

# Quotes

## Large Quotes

{{< example >}}
<blockquote>
  <p class="large-quote">"Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices."</p>
  <p class="attribution"><strong>Someone's Name</strong>, CEO of ACME Corp.</p>
</blockquote>
{{< /example >}}

## Small Quotes

{{< example >}}
<blockquote>
  <p class="author-intro"></span><strong>Someone</strong> says...</p>
  <p class="small-quote">"Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices."</p>
</blockquote>
{{< /example >}}

# Lists

## Ordered List

{{< example >}}
<ol>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
</ol>
{{< /example >}}

## Unordered List

{{< example >}}
<ul>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
  <li><p>Suspendisse nec tortor urna. Ut laoreet sodales nisi, quis iaculis nulla iaculis vitae. Donec viverra eleifend lacus, vitae ullamcorper metus. Sed sollicitudin ipsum quis nunc sollicitudin ultrices.</p></li>
</ul>
{{< /example >}}


# Code
{{< example >}}
<pre data-src="prism.js" class=" language-javascript"><code class=" language-javascript">
<span class="token comment" spellcheck="true">/* **********************************************
     Begin prism-core.js
********************************************** */</span>

<span class="token keyword">var</span> _self <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token keyword">typeof</span> window <span class="token operator">!==</span> <span class="token string">'undefined'</span><span class="token punctuation">)</span>
  <span class="token operator">?</span> window   <span class="token comment" spellcheck="true">// if in browser</span>
  <span class="token punctuation">:</span> <span class="token punctuation">(</span>
    <span class="token punctuation">(</span><span class="token keyword">typeof</span> WorkerGlobalScope <span class="token operator">!==</span> <span class="token string">'undefined'</span> <span class="token operator">&amp;&amp;</span> self <span class="token keyword">instanceof</span> <span class="token class-name">WorkerGlobalScope</span><span class="token punctuation">)</span>
    <span class="token operator">?</span> self <span class="token comment" spellcheck="true">// if in worker</span>
    <span class="token punctuation">:</span> <span class="token punctuation">{</span><span class="token punctuation">}</span>   <span class="token comment" spellcheck="true">// if in node js</span>
  <span class="token punctuation">)</span><span class="token punctuation">;</span>

<span class="token comment" spellcheck="true">/**
 * Prism: Lightweight, robust, elegant syntax highlighting
 * MIT license http://www.opensource.org/licenses/mit-license.php/
 * @author Lea Verou http://lea.verou.me
 */</span>

<span class="token keyword">var</span> Prism <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token keyword">function</span><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token punctuation">{</span>

<span class="token comment" spellcheck="true">// Private helper vars</span>
<span class="token keyword">var</span> lang <span class="token operator">=</span> <span class="token regex">/\blang(?:uage)?-(\w+)\b/i</span><span class="token punctuation">;</span>
<span class="token keyword">var</span> uniqueId <span class="token operator">=</span> <span class="token number">0</span><span class="token punctuation">;</span>

<span class="token keyword">var</span> _ <span class="token operator">=</span> _self<span class="token punctuation">.</span>Prism <span class="token operator">=</span> <span class="token punctuation">{</span>
  util<span class="token punctuation">:</span> <span class="token punctuation">{</span>
    encode<span class="token punctuation">:</span> <span class="token keyword">function</span> <span class="token punctuation">(</span>tokens<span class="token punctuation">)</span> <span class="token punctuation">{</span>
      <span class="token keyword">if</span> <span class="token punctuation">(</span>tokens <span class="token keyword">instanceof</span> <span class="token class-name">Token</span><span class="token punctuation">)</span> <span class="token punctuation">{</span>
        <span class="token keyword">return</span> <span class="token keyword">new</span> <span class="token class-name">Token</span><span class="token punctuation">(</span>tokens<span class="token punctuation">.</span>type<span class="token punctuation">,</span> _<span class="token punctuation">.</span>util<span class="token punctuation">.</span><span class="token function">encode</span><span class="token punctuation">(</span>tokens<span class="token punctuation">.</span>content<span class="token punctuation">)</span><span class="token punctuation">,</span> tokens<span class="token punctuation">.</span>alias<span class="token punctuation">)</span><span class="token punctuation">;</span>
      <span class="token punctuation">}</span> <span class="token keyword">else</span> <span class="token keyword">if</span> <span class="token punctuation">(</span>_<span class="token punctuation">.</span>util<span class="token punctuation">.</span><span class="token function">type</span><span class="token punctuation">(</span>tokens<span class="token punctuation">)</span> <span class="token operator">===</span> <span class="token string">'Array'</span><span class="token punctuation">)</span> <span class="token punctuation">{</span>
        <span class="token keyword">return</span> tokens<span class="token punctuation">.</span><span class="token function">map</span><span class="token punctuation">(</span>_<span class="token punctuation">.</span>util<span class="token punctuation">.</span>encode<span class="token punctuation">)</span><span class="token punctuation">;</span>
      <span class="token punctuation">}</span> <span class="token keyword">else</span> <span class="token punctuation">{</span>
        <span class="token keyword">return</span> tokens<span class="token punctuation">.</span><span class="token function">replace</span><span class="token punctuation">(</span><span class="token regex">/&amp;/g</span><span class="token punctuation">,</span> <span class="token string">'&amp;amp;'</span><span class="token punctuation">)</span><span class="token punctuation">.</span><span class="token function">replace</span><span class="token punctuation">(</span><span class="token regex">/&lt;/g</span><span class="token punctuation">,</span> <span class="token string">'&amp;lt;'</span><span class="token punctuation">)</span><span class="token punctuation">.</span><span class="token function">replace</span><span class="token punctuation">(</span><span class="token regex">/\u00a0/g</span><span class="token punctuation">,</span> <span class="token string">' '</span><span class="token punctuation">)</span><span class="token punctuation">;</span>
      <span class="token punctuation">}</span>
    <span class="token punctuation">}</span><span class="token punctuation">,</span>

    type<span class="token punctuation">:</span> <span class="token keyword">function</span> <span class="token punctuation">(</span>o<span class="token punctuation">)</span> <span class="token punctuation">{</span>
      <span class="token keyword">return</span> Object<span class="token punctuation">.</span>prototype<span class="token punctuation">.</span>toString<span class="token punctuation">.</span><span class="token function">call</span><span class="token punctuation">(</span>o<span class="token punctuation">)</span><span class="token punctuation">.</span><span class="token function">match</span><span class="token punctuation">(</span><span class="token regex">/\[object (\w+)\]/</span><span class="token punctuation">)</span><span class="token punctuation">[</span><span class="token number">1</span><span class="token punctuation">]</span><span class="token punctuation">;</span>
    </code></pre>
{{< /example >}}

# UI Typography
Type that is bolder and usually smaller in size. To use simply add `.ui` to `body` to apply styles.

*Used in App, and scenarios where we have a lot of information screaming for attention*

---

{{< example >}}
  <div class="ui">
    <h1>H1: Page Title</h1>
    <p class="ui description">Page description, with a concise summary of the page’s function and purpose.</br>It should span across two lines.</p>
  </div>
{{< /example >}}

{{< example >}}
  <div class="ui">
    <h2>H2: Section Title</h2>
    <p class="description">The title of a clearly defined new section, with a concise summary of the its function and purpose.</p>
  </div>
{{< /example >}}

{{< example >}}
  <div class="ui">
    <h3>H3: Card Title</h3>
    <p class="ui description">Used primarily as the title of a Card. A description is optional.</p>
  </div>
{{< /example >}}

{{< example >}}
  <div class="ui">
    <p>Simple body text. This is default style for every text block. Anchor links should <a href="#">simply be underline</a> if part of a text block.</p>
  </div>
{{< /example >}}

## Action Links

{{< example >}}
  <div class="ui">
    <a class="action action-text-default" href="">Action Text: Default</a></br>
    <a class="action action-text-productive" href="">Action Text: Constructive</a></br>
    <a class="action action-text-destructive" href="">Action Text: Dangerous</a>
  </div>
{{< /example >}}
